CREATE TABLE IF NOT EXISTS `#__joomdoc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL,
  `full_alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `download` tinyint(1) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `parent_path` text NOT NULL,
  `path` text NOT NULL,
  `version` int(11) NOT NULL DEFAULT '1',
  `versionNote` text NOT NULL,
  `favorite` tinyint(4) NOT NULL,
  `license` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `checked_out` (`checked_out`),
  KEY `state` (`state`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `created_by` (`created_by`),
  KEY `modified` (`modified`),
  KEY `modified_by` (`modified_by`),
  KEY `publish_up` (`publish_up`),
  KEY `publish_down` (`publish_down`),
  KEY `ordering` (`ordering`),
  KEY `license` (`ordering`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__joomdoc_file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` text NOT NULL,
  `version` int(11) NOT NULL,
  `state` tinyint(4) NOT NULL,
  `upload` datetime NOT NULL,
  `uploader` int(11) NOT NULL,
  `hits` int(11) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uploader` (`uploader`),
  KEY `version` (`version`),
  KEY `upload` (`upload`),
  KEY `hits` (`hits`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__joomdoc_license` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `state` tinyint(4) NOT NULL,
  `default` tinyint(4) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `default` (`default`),
  KEY `state` (`state`),
  KEY `checked_out` (`checked_out`),
  KEY `created` (`created`),
  KEY `created_by` (`created_by`),
  KEY `modified` (`modified`),
  KEY `modified_by` (`modified_by`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__joomdoc_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `type` tinyint(1) NOT NULL,
  `params` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `ordering` int(11) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__joomdoc_option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field` int(11) NOT NULL,
  `value` varchar(50) NOT NULL,
  `label` varchar(100) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field` (`field`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__joomdoc_flat` (
  `id` int(11) NOT NULL,
  `file_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `full_alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `state` tinyint(4) NOT NULL,
  `file_state` int(11) NOT NULL,
  `access` int(11) NOT NULL,
  `download` tinyint(1) NOT NULL,
  `params` text NOT NULL,
  `ordering` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL,
  `upload` datetime NOT NULL,
  `uploader` int(11) NOT NULL,
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `parent_path` text NOT NULL,
  `path` text NOT NULL,
  `version` int(11) NOT NULL,
  `file_version` int(11) NOT NULL,
  `favorite` tinyint(4) NOT NULL,
  `license_id` int(11) NOT NULL,
  `license_title` varchar(255) NOT NULL,
  `license_alias` varchar(255) NOT NULL,
  `license_state` tinyint(4) NOT NULL,
  `hits` int(11) NOT NULL,
  `content` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__joomdoc_user` (
  `user_id` int(11) unsigned NOT NULL,
  `document_id` int(11) unsigned NOT NULL,
  `notifications` tinyint(1) NOT NULL,
  UNIQUE KEY `user_id_document_id` (`user_id`,`document_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;