<?php

/**
 * @version		$Id$
 * @package		Joomla.Administrator
 * @subpackage	JoomDOC
 * @author      ARTIO s.r.o., info@artio.net, http:://www.artio.net
 * @copyright	Copyright (C) 2011 Artio s.r.o.. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Restricted access');

/* @var $this JoomDOCModelUpgrade */

include_once(dirname(__FILE__) . '/reinstall.php');

$this->_addSQL('CREATE TEMPORARY TABLE #__joomdoc_findex (file_id INT, path TEXT)');
$this->_addSQL('CREATE TEMPORARY TABLE #__joomdoc_dindex (document_id INT, path TEXT)');
$this->_addSQL('CREATE TEMPORARY TABLE #__joomdoc_index (file_id INT, document_id INT)');
$this->_addSQL('INSERT INTO #__joomdoc_findex SELECT MAX(id), path FROM #__joomdoc_file GROUP BY path');
$this->_addSQL('INSERT INTO #__joomdoc_dindex SELECT MIN(id), path FROM #__joomdoc GROUP BY path');
$this->_addSQL('INSERT INTO #__joomdoc_index SELECT f.file_id, d.document_id FROM #__joomdoc_findex AS f LEFT JOIN #__joomdoc_dindex AS d USING(path)');

$this->_addSQL('INSERT INTO #__joomdoc_flat
			    SELECT d.id, f.id AS file_id, d.title, d.alias, d.full_alias, d.description, d.state, f.state AS file_state, d.access, d.params, d.ordering, d.created, d.created_by, d.modified, d.modified_by, f.upload, f.uploader, d.publish_up, d.publish_down, d.parent_path, f.path, d.version, f.version AS file_version, d.favorite, l.id AS license_id, l.title AS license_title, l.alias AS license_alias, l.state AS license_state, f.hits, f.content
			    FROM #__joomdoc_index AS i
    		    LEFT JOIN #__joomdoc_file AS f ON f.id = i.file_id
    		    LEFT JOIN #__joomdoc AS d ON d.id = i.document_id
    		    LEFT JOIN #__joomdoc_license AS l ON d.license = l.id');